<div fxLayoutAlign="center">
  <mat-card fxFlex="75%" class="mb-50">
    <mat-card-title>Dodaj film</mat-card-title>
    <mat-card-content fxLayout="column">
      <mat-form-field>
        <input matInput name="title" autocomplete="off" [(ngModel)]="movie.title" placeholder="Tytuł"/>
      </mat-form-field>
      <br/>
      <mat-form-field>
        <textarea matInput name="description" [(ngModel)]="movie.description" placeholder="Opis"></textarea>
      </mat-form-field>
      <br/>
      <mat-form-field>
        <input matInput name="imageURl" autocomplete="off" [(ngModel)]="movie.imageURL"
               placeholder="Adres URL obrazka"/>
      </mat-form-field>
      <br/>
      <mat-form-field class="example-full-width mt-20">
        <input matInput [matDatepicker]="picker" [(ngModel)]="movie.releaseDate" placeholder="Data powstania">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker touchUi #picker></mat-datepicker>
      </mat-form-field>
      <br/>
      <mat-form-field>
        <input matInput autocomplete="off" [(ngModel)]="movie.director"
               placeholder="Reżyser"/>
      </mat-form-field>
      <br/>
      <mat-form-field>
        <input matInput autocomplete="off" [(ngModel)]="movie.budget"
               placeholder="Budżet filmu"/>
      </mat-form-field>
      <br/>
      <mat-form-field>
        <input matInput autocomplete="off" [(ngModel)]="movie.revenue"
               placeholder="Dochód"/>
      </mat-form-field>
      <br/>
      <mat-card>
        <mat-card-title>Gatunki filmu</mat-card-title>
        <mat-list class="list">
          <mat-list-item *ngFor="let genre of movie.genresList; last as last">
            {{genre}}
            <button mat-raised-button class="ml-6 margin-pull-right" color="warn" (click)="removeGenre(genre)">Usuń</button>
            <mat-divider [inset]="true" *ngIf="!last"></mat-divider>
          </mat-list-item>
        </mat-list>
        <div>
          <mat-form-field>

            <input #genre matInput autocomplete="off" placeholder="Wpisz gatunek"
                   (keyup.enter)="addGenre(genre.value)"
                   (blur)="addGenre(genre.value); genre.value='' ">
          </mat-form-field>
          <button class="ml-6" mat-raised-button color="primary" (click)="addGenre(genre.value)">Dodaj</button>
        </div>
      </mat-card>

      <br/>
      <br/>

      <mat-card>
        <mat-card-title>Aktorzy</mat-card-title>
        <mat-list class="list">
          <mat-list-item *ngFor="let castOne of movie.cast">
            {{castOne}}
            <button mat-raised-button class="ml-6 margin-pull-right" color="warn" (click)="removeCast(castOne)">Usuń</button>
            <mat-divider [inset]="true" *ngIf="!last"></mat-divider>
          </mat-list-item>
        </mat-list>
        <div>
          <mat-form-field>
            <input #cast matInput autocomplete="off" placeholder="Wpisz aktora"
                   (keyup.enter)="addCast(cast.value)"
                   (blur)="addCast(cast.value); cast.value='' ">
          </mat-form-field>
          <button class="ml-6" mat-raised-button color="primary" (click)="addCast(cast.value)">Dodaj</button>
        </div>
      </mat-card>

      <br/>
    </mat-card-content>
    <mat-card-actions fxLayoutAlign="center">
      <button mat-button type="submit" mat-raised-button color="primary" (click)="add()">Dodaj</button>
    </mat-card-actions>
  </mat-card>
</div>
